Create Event: EliseAI
POST
https://api.propexo.com/crm/v1/events/eliseai/Creates or updates events for an existing EliseAI prospect. Only ELISE_REACTIVATED events are currently supported.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
integration_idstringrequired
The Propexo unique identifier for the integration
prospect_idstringrequired
The Propexo unique identifier for the prospect
events object[]required
Events to create or update for the prospect. Only ELISE_REACTIVATED events are currently supported.
Possible values: >= 1
event_idstring
EliseAI event identifier
typestringrequired
The name or type of event. Only ELISE_REACTIVATED is currently supported.
Show 1 enum value
ELISE_REACTIVATEDevent_datestring<date-time>required
The date when the event will occur
Response
Successful response
- Array [
- ]
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
prospect_idstringrequired
The Propexo unique identifier for the prospect
events object[]required
event_idstring
EliseAI event identifier
typestringrequired
The name or type of event. Only ELISE_REACTIVATED is currently supported.
Show 1 enum value
ELISE_REACTIVATEDevent_datestring<date-time>required
The date when the event will occur
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/events/eliseai/
curl -X POST https://api.propexo.com/crm/v1/events/eliseai/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"prospect_id": "string",
"events": [
{
"event_id": "string",
"type": "ELISE_REACTIVATED",
"event_date": "2024-07-29T15:51:28.071Z"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"prospect_id": "string",
"events": [
{
"event_id": "string",
"type": "ELISE_REACTIVATED",
"event_date": "2024-07-29T15:51:28.071Z"
}
]
}
}